psd\_tools\.psd\.image\_resources
=================================

.. automodule:: psd_tools.psd.image_resources

ImageResources
--------------

.. autoclass:: psd_tools.psd.image_resources.ImageResources
    :members:

ImageResource
-------------

.. autoclass:: psd_tools.psd.image_resources.ImageResource
    :members:


AlphaIdentifiers
----------------

.. autoclass:: psd_tools.psd.image_resources.AlphaIdentifiers
    :members:

AlphaNamesPascal
----------------

.. autoclass:: psd_tools.psd.image_resources.AlphaNamesPascal
    :members:

AlphaNamesUnicode
-----------------

.. autoclass:: psd_tools.psd.image_resources.AlphaNamesUnicode
    :members:

Byte
----

.. autoclass:: psd_tools.psd.image_resources.Byte
    :members:

GridGuidesInfo
--------------

.. autoclass:: psd_tools.psd.image_resources.GridGuidesInfo
    :members:

HalftoneScreens
---------------

.. autoclass:: psd_tools.psd.image_resources.HalftoneScreens
    :members:

HalftoneScreen
--------------

.. autoclass:: psd_tools.psd.image_resources.HalftoneScreen
    :members:

Integer
-------

.. autoclass:: psd_tools.psd.image_resources.Integer
    :members:

LayerGroupEnabledIDs
--------------------

.. autoclass:: psd_tools.psd.image_resources.LayerGroupEnabledIDs
    :members:

LayerGroupInfo
--------------

.. autoclass:: psd_tools.psd.image_resources.LayerGroupInfo
    :members:

LayerSelectionIDs
-----------------

.. autoclass:: psd_tools.psd.image_resources.LayerSelectionIDs
    :members:

ShortInteger
------------

.. autoclass:: psd_tools.psd.image_resources.ShortInteger
    :members:

PascalString
------------

.. autoclass:: psd_tools.psd.image_resources.PascalString
    :members:

PixelAspectRatio
----------------

.. autoclass:: psd_tools.psd.image_resources.PixelAspectRatio
    :members:

PrintFlags
----------

.. autoclass:: psd_tools.psd.image_resources.PrintFlags
    :members:

PrintFlagsInfo
--------------

.. autoclass:: psd_tools.psd.image_resources.PrintFlagsInfo
    :members:

PrintScale
----------

.. autoclass:: psd_tools.psd.image_resources.PrintScale
    :members:

ResoulutionInfo
---------------

.. autoclass:: psd_tools.psd.image_resources.ResoulutionInfo
    :members:

Slices
------

.. autoclass:: psd_tools.psd.image_resources.Slices
    :members:

SlicesV6
--------

.. autoclass:: psd_tools.psd.image_resources.SlicesV6
    :members:

SliceV6
-------

.. autoclass:: psd_tools.psd.image_resources.SliceV6
    :members:

ThumbnailResource
-----------------

.. autoclass:: psd_tools.psd.image_resources.ThumbnailResource
    :members:

ThumbnailResourceV4
-------------------

.. autoclass:: psd_tools.psd.image_resources.ThumbnailResourceV4
    :members:

TransferFunctions
-----------------

.. autoclass:: psd_tools.psd.image_resources.TransferFunctions
    :members:

TransferFunction
----------------

.. autoclass:: psd_tools.psd.image_resources.TransferFunction
    :members:

URLList
-------

.. autoclass:: psd_tools.psd.image_resources.URLList
    :members:

URLItem
-------

.. autoclass:: psd_tools.psd.image_resources.URLItem
    :members:

VersionInfo
-----------

.. autoclass:: psd_tools.psd.image_resources.VersionInfo
    :members:
